com.amazonaws.services.simpleworkflow.model

## Class PendingTaskCount

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.simpleworkflow.model.PendingTaskCount

All Implemented Interfaces:
  Serializable, Cloneable

    public class PendingTaskCount
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Contains the count of tasks in a task list.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PendingTaskCount()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PendingTaskCount` `clone()`
`boolean` `equals(Object obj)`
`Integer` `getCount()` The number of tasks in the task list.
`Boolean` `getTruncated()` If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.
`int` `hashCode()`
`Boolean` `isTruncated()` If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.
`void` `setCount(Integer count)` The number of tasks in the task list.
`void` `setTruncated(Boolean truncated)` If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`PendingTaskCount` `withCount(Integer count)` The number of tasks in the task list.
`PendingTaskCount` `withTruncated(Boolean truncated)` If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PendingTaskCount

    public PendingTaskCount()

### Method Detail

#### setCount

    public void setCount(Integer count)

The number of tasks in the task list.

Parameters:
  `count` - The number of tasks in the task list.

#### getCount

    public Integer getCount()

The number of tasks in the task list.

Returns:
  The number of tasks in the task list.

#### withCount

    public PendingTaskCount withCount(Integer count)

The number of tasks in the task list.

Parameters:
  `count` - The number of tasks in the task list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTruncated

    public void setTruncated(Boolean truncated)

If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.

Parameters:
  `truncated` - If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.

#### getTruncated

    public Boolean getTruncated()

If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.

Returns:
  If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.

#### withTruncated

    public PendingTaskCount withTruncated(Boolean truncated)

If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.

Parameters:
  `truncated` - If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isTruncated

    public Boolean isTruncated()

If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.

Returns:
  If set to true, indicates that the actual count was more than the maximum supported by this API and the count returned is the truncated value.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public PendingTaskCount clone()

Overrides:
  `clone` in class `Object`